<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [canCreateCorporation](./bitburner.corporation.cancreatecorporation.md)

## Corporation.canCreateCorporation() method

Return whether the player can create a corporation. Does not require API access.

**Signature:**

```typescript
canCreateCorporation(selfFund: boolean): CreatingCorporationCheckResult;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  selfFund | boolean | true if you want to self-fund, false otherwise |

**Returns:**

[CreatingCorporationCheckResult](./bitburner.creatingcorporationcheckresult.md)

Result of the check

## Remarks

RAM cost: 0 GB

